be.fgov.ehealth.aa.complextype.v1

## Class HealthCarePerson

- java.lang.Object
- - be.fgov.ehealth.aa.complextype.v1.HealthCarePerson

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:13:31+01:00",
                 comments="JAXB RI v2.2.11")
      public class HealthCarePerson
      extends Object
      implements Serializable

  Identity of HealthCare Actor.

  Java class for HealthCarePersonType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="HealthCarePersonType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="LastName" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="FirstName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="MiddleNames" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}Attribute" maxOccurs="unbounded"/>
               <element name="Professional" type="{urn:be:fgov:ehealth:aa:complextype:v1}ProfessionalType" maxOccurs="unbounded"/>
             </sequence>
             <attribute name="searchResult" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HealthCarePerson()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Attribute>` | `getAttributes()` Gets the value of the attributes property.
    `String` | `getFirstName()` Gets the value of the firstName property.
    `String` | `getLastName()` Gets the value of the lastName property.
    `String` | `getMiddleNames()` Gets the value of the middleNames property.
    `List<ProfessionalType>` | `getProfessionals()` Gets the value of the professionals property.
    `String` | `getSearchResult()` Gets the value of the searchResult property.
    `void` | `setFirstName(String value)` Sets the value of the firstName property.
    `void` | `setLastName(String value)` Sets the value of the lastName property.
    `void` | `setMiddleNames(String value)` Sets the value of the middleNames property.
    `void` | `setSearchResult(String value)` Sets the value of the searchResult property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HealthCarePerson

          public HealthCarePerson()

  - ### Method Detail

    - #### getLastName

          public String getLastName()

      Gets the value of the lastName property.
      Returns:
        possible object is `String`

    - #### setLastName

          public void setLastName(String value)

      Sets the value of the lastName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getFirstName

          public String getFirstName()

      Gets the value of the firstName property.
      Returns:
        possible object is `String`

    - #### setFirstName

          public void setFirstName(String value)

      Sets the value of the firstName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getMiddleNames

          public String getMiddleNames()

      Gets the value of the middleNames property.
      Returns:
        possible object is `String`

    - #### setMiddleNames

          public void setMiddleNames(String value)

      Sets the value of the middleNames property.
      Parameters:
        `value` - allowed object is `String`

    - #### getAttributes

          public List<Attribute> getAttributes()

      Gets the value of the attributes property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the attributes property.

      For example, to add a new item, do as follows:

              getAttributes().add(newItem);

      Objects of the following type(s) are allowed in the list `Attribute`

    - #### getProfessionals

          public List<ProfessionalType> getProfessionals()

      Gets the value of the professionals property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the professionals property.

      For example, to add a new item, do as follows:

              getProfessionals().add(newItem);

      Objects of the following type(s) are allowed in the list `ProfessionalType`

    - #### getSearchResult

          public String getSearchResult()

      Gets the value of the searchResult property.
      Returns:
        possible object is `String`

    - #### setSearchResult

          public void setSearchResult(String value)

      Sets the value of the searchResult property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSLOGOPEDIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.